test: _tagPARTITION struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _tagPARTITION Struct Reference

`#include <arcinst.h>`

List of all members.

## Public Attributes

_tagPARTITION * | Next
_tagPARTITION * | Prev
LARGE_INTEGER | Offset
LARGE_INTEGER | Length
ULONG | Disk
ULONG | OriginalPartitionNumber
ULONG | PartitionNumber
ULONG | PersistentData
BOOLEAN | Update
BOOLEAN | Active
BOOLEAN | Recognized
UCHAR | SysID

## Member Data Documentation

BOOLEAN _tagPARTITION::Active

| Definition at line 388 of file arcinst.h. Referenced by AllocatePartitionStructure(), DeletePartition(), MakeBootRec(), and WriteDriveLayout().

ULONG _tagPARTITION::Disk

| Definition at line 383 of file arcinst.h. Referenced by AllocatePartitionStructure(), CreatePartitionEx(), DeletePartition(), SetSysID(), and SetSysID2().

LARGE_INTEGER _tagPARTITION::Length

| Definition at line 382 of file arcinst.h. Referenced by AllocatePartitionStructure(), CreatePartitionEx(), InitializeFreeSpace(), InitializeLogicalVolumeList(), MakeBootRec(), MergeFreePartitions(), UdfLookupPsnOfExtent(), and WriteDriveLayout().

struct _tagPARTITION* _tagPARTITION::Next

| Definition at line 379 of file arcinst.h. Referenced by AddPartitionToLinkedList(), AllocatePartitionStructure(), CommitPartitionChanges(), FindPartitionElement(), FreeLinkedPartitionList(), InitializeFreeSpace(), InitializeLogicalVolumeList(), MergeFreePartitions(), RenumberPartitions(), and WriteDriveLayout().

LARGE_INTEGER _tagPARTITION::Offset

| Definition at line 381 of file arcinst.h. Referenced by AddPartitionToLinkedList(), AllocatePartitionStructure(), CreatePartitionEx(), GetHiddenSectorCount(), InitializeFreeSpace(), InitializeLogicalVolumeList(), MakeBootRec(), MergeFreePartitions(), and WriteDriveLayout().

ULONG _tagPARTITION::OriginalPartitionNumber

| Definition at line 384 of file arcinst.h. Referenced by AllocatePartitionStructure(), CommitPartitionChanges(), DeletePartition(), InitializeLogicalVolumeList(), and InitializePrimaryPartitionList().

ULONG _tagPARTITION::PartitionNumber

| Definition at line 385 of file arcinst.h. Referenced by AllocatePartitionStructure(), CommitPartitionChanges(), FindPartitionElement(), RenumberPartitions(), and UdfInitializePcb().

ULONG _tagPARTITION::PersistentData

| Definition at line 386 of file arcinst.h. Referenced by AllocatePartitionStructure().

struct _tagPARTITION* _tagPARTITION::Prev

| Definition at line 380 of file arcinst.h. Referenced by AddPartitionToLinkedList(), AllocatePartitionStructure(), and MergeFreePartitions().

BOOLEAN _tagPARTITION::Recognized

| Definition at line 389 of file arcinst.h. Referenced by AllocatePartitionStructure(), and CreatePartitionEx().

UCHAR _tagPARTITION::SysID

| Definition at line 390 of file arcinst.h. Referenced by AllocatePartitionStructure(), CreatePartitionEx(), DeletePartition(), FindPartitionElement(), InitializeLogicalVolumeList(), InitializePrimaryPartitionList(), MakeBootRec(), RenumberPartitions(), SetSysID(), SetSysID2(), and WriteDriveLayout().

BOOLEAN _tagPARTITION::Update

| Definition at line 387 of file arcinst.h. Referenced by AllocatePartitionStructure(), CommitPartitionChanges(), CreatePartitionEx(), DeletePartition(), MakeBootRec(), SetSysID(), SetSysID2(), and WriteDriveLayout().

The documentation for this struct was generated from the following file:

- arcinst.h